#
# spec file for package kio-extras5
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kio-extras5
Version:        16.08.2
Release:        1.1
Summary:        Additional KIO-slaves for KDE applications
License:        GPL-2.0+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         kio-extras-%{version}.tar.xz
Source99:       %{name}-rpmlintrc
BuildRequires:  OpenEXR-devel
BuildRequires:  karchive-devel
BuildRequires:  kconfig-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  kdnssd-framework-devel
BuildRequires:  kdoctools-devel
BuildRequires:  kf5-filesystem
BuildRequires:  khtml-devel
BuildRequires:  ki18n-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kio-devel
BuildRequires:  kpty-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libmtp-devel
BuildRequires:  libssh-devel
BuildRequires:  openslp-devel
BuildRequires:  phonon4qt5-devel
BuildRequires:  solid-devel
BuildRequires:  kactivities5-devel
BuildRequires:  xz
BuildRequires:  pkgconfig(Qt5DBus) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Network) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Svg) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Test) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(bzip2)
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(smbclient)
# we want some imageformats in
Recommends:     libqt5-qtimageformats
Recommends:     kimageformats
#BuildRequires:  update-desktop-files
Provides:       kfileaudiopreview = 4.100.0
Obsoletes:      kfileaudiopreview <= 4.100.0
# the activities fileitem_linking_plugin and kio slave have been moved over here in 16.04 (boo#976592)
Conflicts:      kactivities5 <= 5.19.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Additional KIO-slaves for KDE applications.

%prep
%setup -q -n kio-extras-%{version}
sed -i '/^add_subdirectory( doc )/d' CMakeLists.txt

%build
  %cmake_kf5 -d build -- -DCMAKE_INSTALL_LOCALEDIR=share/locale/kf5
  %make_jobs

%install
  %kf5_makeinstall -C build
  # we don't need nor want devel symlink, and dbus interface -- kio-extras don't install any headers,
  # nor are meant for development
  rm -rf %{buildroot}%{_kf5_sharedir}/dbus-1/

%post   -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_kf5_libdir}/libmolletnetwork5.so.*
%{_kf5_plugindir}/
%{_kf5_configkcfgdir}/
%{_kf5_servicesdir}/
%{_kf5_servicetypesdir}/
%{_kf5_sharedir}/kio_bookmarks/
%{_kf5_sharedir}/kio_docfilter/
%{_kf5_sharedir}/kio_info/
%{_kf5_sharedir}/konqsidebartng/
%{_kf5_sharedir}/konqueror/
%{_kf5_sharedir}/remoteview/
%{_kf5_sharedir}/solid/
%{_kf5_sharedir}/mime/packages/kf5_network.xml

%changelog
* Tue Oct 11 2016 lbeltrame@kde.org
- KDE Applications 16.08.2
  https://www.kde.org/announcements/announce-applications-16.08.2.php
* Fri Sep  9 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.1
  * KDE Applications 16.08.1
  * https://www.kde.org/announcements/announce-applications-16.08.1.php
* Fri Aug 12 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.0
  * KDE Applications 16.08.0
  * https://www.kde.org/announcements/announce-applications-16.08.0.php
* Mon Aug  8 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.07.90
  * KDE Applications 16.07.90 (16.08-RC)
  * https://www.kde.org/announcements/announce-applications-16.07.90.php
* Thu Jul  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.3
  * KDE Applications 16.04.3
  * https://www.kde.org/announcements/announce-applications-16.04.3.php
* Fri Jun 10 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.2
  * KDE Applications 16.04.2
  * https://www.kde.org/announcements/announce-applications-16.04.2.php
* Sat May  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.1
  * KDE Applications 16.04.1
  * https://www.kde.org/announcements/announce-applications-16.04.1.php
* Thu Apr 21 2016 wbauer@tmo.at
- Conflict with kactivities5 5.19.0 and earlier to prevent file
  conflicts. The activities fileitem_linking_plugin and kio slave
  have been moved from kactivities5 to kio-extras5 in 16.04
  (boo#976592)
* Sun Apr 17 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.0
  * KDE Applications 16.04.0
  * https://www.kde.org/announcements/announce-applications-16.04.0.php
* Mon Apr 11 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.03.90
  * KDE Applications 16.04.0 RC
  * https://www.kde.org/announcements/announce-applications-16.04-rc.php
* Sun Mar 13 2016 tittiatcoke@gmail.com
- Update to KDE Applications 15.12.3
  * KDE Applications 15.12.3
  * https://www.kde.org/announcements/announce-applications-15.12.3.php
  * boo#970855
* Sat Feb 13 2016 tittiatcoke@gmail.com
- Update to KDE Applications 15.12.2
  * KDE Applications 15.12.2
  * https://www.kde.org/announcements/announce-applications-15.12.2.php
  * boo#966605
* Sat Jan  9 2016 tittiatcoke@gmail.com
- Update to KDE Applications 15.12.1
  * KDE Applications 15.12.1
  * https://www.kde.org/announcements/announce-applications-15.12.1.php
  * boo#961265
* Sun Dec 13 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.12.0
  * KDE Applications 15.12.0
  * https://www.kde.org/announcements/announce-applications-15.12.0.php
  * boo#958887
* Tue Nov 10 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.08.3
  * KDE Applications 15.08.3
  * https://www.kde.org/announcements/announce-applications-15.08.3.php
  * boo#954531
* Sun Oct 11 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.08.2
  * KDE Applications 15.08.2
  * https://www.kde.org/announcements/announce-applications-15.08.2.php
* Sun Sep 13 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.08.1
  * KDE Applications 15.08.1
  * https://www.kde.org/announcements/announce-applications-15.08.1.php
* Wed Aug 19 2015 cgiboudeaux@gmx.com
- Update to KDE Applications 15.08.0
  * KDE Applications 15.08.0
  * https://www.kde.org/announcements/announce-applications-15.08.0.php
* Fri Aug  7 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.07.90
  * KDE Applications 15.08.0 RC1
  * https://www.kde.org/announcements/announce-applications-15.07.90.php
* Sun Jun 28 2015 hrvoje.senjan@gmail.com
- Update to 5.3.2:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.3.2.php
* Fri May 22 2015 hrvoje.senjan@gmail.com
- Update to 5.3.1:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.3.1.php
* Thu Apr 23 2015 hrvoje.senjan@gmail.com
- Update to 5.3 Final:
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.3.0.php
* Sat Apr 11 2015 hrvoje.senjan@gmail.com
- Update to 5.2.95 aka 5.3 beta:
  * New feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.2.95.php
- Update required Qt version to 5.4.0
* Thu Mar 19 2015 hrvoje.senjan@gmail.com
- Update to 5.2.2:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.2.2.php
* Fri Feb 20 2015 hrvoje.senjan@gmail.com
- Update to 5.2.1:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.2.1.php
* Mon Jan 26 2015 hrvoje.senjan@gmail.com
- Update to 5.2 Final:
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.2.0.php
* Tue Jan 13 2015 hrvoje.senjan@gmail.com
- Update to 5.2 Beta aka 5.1.95:
  * Undo changes to Plasma desktop layout
  * Smarter sorting of results in KRunner
  * Breeze window decoration theme adds a new look to your
    desktop and is now used by default
  * New white mouse cursor theme for Breeze.
  * New plasma widgets: 15 puzzle, web browser, show desktop
  * Over 300 bugs fixed throughout Plasma modules.
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.1.95.php
- Drop patches merged upstream:
  0001-Port-comicbook-thumbnailer-to-KF5.patch,
  0002-Port-textcreator-thumbnailer.patch,
  0003-don-t-screw-up-the-filenames.patch,
  0004-Added-support-for-NFSv3-major-refactoring-fixed-bugs.patch
  and 0005-kio_sftp-Use-the-right-type-for-timeout_sec-and-time.patch
- Add libmtp-devel BuildRequires
* Thu Dec 11 2014 hrvoje.senjan@gmail.com
- Update to 5.1.2:
  * Bugfix release
  * Fixed CVE-2014-8600
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.1.2.php
- Drop sanitize_path.patch, merged upstream
* Thu Nov 13 2014 hrvoje.senjan@gmail.com
- Added sanitize_path.patch from upstream, CVE-2014-8600
* Thu Nov  6 2014 hrvoje.senjan@gmail.com
- Update to 5.1.1:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.1.1.php
- Added patches from upstream:
  0001-Port-comicbook-thumbnailer-to-KF5.patch,
  0002-Port-textcreator-thumbnailer.patch (kde#339456),
  0003-don-t-screw-up-the-filenames.patch,
  0004-Added-support-for-NFSv3-major-refactoring-fixed-bugs.patch
  (kde#268797, kde#309113)
  0005-kio_sftp-Use-the-right-type-for-timeout_sec-and-time.patch
  (kde#331674)
- Added kpty-devel BuildRequires
* Sat Oct 25 2014 hrvoje.senjan@gmail.com
- Recommend lang subpackage
* Thu Oct  9 2014 hrvoje.senjan@gmail.com
- Update to 5.1 Final:
  * Bugfixes since RC1
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.1.0.php
* Sat Oct  4 2014 hrvoje.senjan@gmail.com
- Remove ktrash and kio_trash, merged in KIO framework since 5.3.0
* Fri Sep 26 2014 hrvoje.senjan@gmail.com
- Update to 5.0.95:
  * Minor changes to samba kio
- Install translations
- Add rpmlintrc file for file-not-in-%%lang warnings: we don't use
  find_lang macro as it doesn't searches in subdirectories
* Fri Sep 12 2014 hrvoje.senjan@gmail.com
- Update to 5.0.95~git20140912 (rc494702):
  * kio_trash: implement trash spec v1.0
  * Thumbnailer improvements
- Added pkgconfig(Qt5Svg) BuildRequires
* Fri Aug  8 2014 hrvoje.senjan@gmail.com
- Update to 5.0.1
  * Translation updates
* Mon Jul 28 2014 hrvoje.senjan@gmail.com
- Add kimageformats and libqt5-qtimageformats recommends
* Fri Jul 11 2014 hrvoje.senjan@gmail.com
- Update to 5.0.0
  * Plasma 5.0 Final
* Thu Jul  3 2014 hrvoje.senjan@gmail.com
- Update to 4.98.0
  * Plasma 5 RC release
* Tue Jun 10 2014 hrvoje.senjan@gmail.com
- Update to 4.97.0
  * Beta 2 of Plasma 5 release
- Drop update_to_latest_head.patch
* Wed Jun  4 2014 hrvoje.senjan@gmail.com
- Add Source URL
- Added update_to_latest_head.patch, to sync with latest KF5 API
- Bump Qt requires to 5.3.0
- Added phonon4qt5-devel
- Obsolete and provide kfileaudiopreview, it is merged in kio-extras
* Sat May 17 2014 hrvoje.senjan@gmail.com
- Mark license as GPL-2.0+
* Sat May 10 2014 hrvoje.senjan@gmail.com
- Activate kio-extras5 package
